package com.sipai.jspatrol.Bean;

import com.sipai.jspatrol.Patrol.patrolInfoAdapter.PatrolEqu;

import org.litepal.crud.LitePalSupport;

import java.io.Serializable;

/**
 * Created by lvliming on 2017/10/24.
 */

public class Measuringpoint extends LitePalSupport implements Serializable {
    private String sid;
    private String name;
    private String unit;
    private String value;
    private String _icon;
    private String cvalue;
    private String scadacode;
    private String date;
    private String month;
    private String day;
    private String time;
    private String alarmmax;
    private String alarmmin;
    private String valuemeaning;
    private String userid;
    private String unitId;
    private ProPatrolPoint proPatrolPoint;
    private PatrolEqu patrolEqu;

    public String getUnitId() {
        return unitId;
    }

    public void setUnitId(String unitId) {
        this.unitId = unitId;
    }

    public String getUserid() {
        return userid;
    }

    public void setUserid(String userid) {
        this.userid = userid;
    }

    public String getAlarmmax() {
        return alarmmax;
    }

    public void setAlarmmax(String alarmmax) {
        this.alarmmax = alarmmax;
    }

    public String getAlarmmin() {
        return alarmmin;
    }

    public void setAlarmmin(String alarmmin) {
        this.alarmmin = alarmmin;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public String getMonth() {
        return month;
    }

    public void setMonth(String month) {
        this.month = month;
    }

    public String getDay() {
        return day;
    }

    public void setDay(String day) {
        this.day = day;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public String getScadacode() {
        return scadacode;
    }

    public void setScadacode(String scadacode) {
        this.scadacode = scadacode;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    private String type;

    public String get_icon() {
        return _icon;
    }

    public void set_icon(String _icon) {
        this._icon = _icon;
    }

    public String getCvalue() {
        return cvalue;
    }

    public void setCvalue(String cvalue) {
        this.cvalue = cvalue;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getSid() {
        return sid;
    }

    public void setSid(String sid) {
        this.sid = sid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getValuemeaning() {
        return valuemeaning;
    }

    public void setValuemeaning(String valuemeaning) {
        this.valuemeaning = valuemeaning;
    }

    public ProPatrolPoint getProPatrolPoint() {
        return proPatrolPoint;
    }

    public void setProPatrolPoint(ProPatrolPoint proPatrolPoint) {
        this.proPatrolPoint = proPatrolPoint;
    }

    public PatrolEqu getPatrolEqu() {
        return patrolEqu;
    }

    public void setPatrolEqu(PatrolEqu patrolEqu) {
        this.patrolEqu = patrolEqu;
    }
}
